package application;
	
import java.io.FileInputStream;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.image.Image;
import javafx.scene.image.ImageView;
import javafx.scene.layout.BorderPane;
import javafx.scene.transform.Scale;


public class Main extends Application {
	@Override
	public void start(Stage primaryStage) {
		int width = 1728, height = 646;
		try {
			BorderPane root = new BorderPane();
			root.setId("border-pane");
			Scene scene = new Scene(root, width, height);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			
			// icon
			Image icon = new Image("entypo_modern-mic.png");
			
			// mic button
	        FileInputStream micBtnPath = new FileInputStream("src/images/mic.png");
	        Image micBtnImg = new Image(micBtnPath);
	        ImageView micBtnImgView = new ImageView(micBtnImg);
			Button micBtn = new Button("Hello", micBtnImgView);
	        micBtn.setId("mic-Button");
	        micBtn.setTranslateX(width/2.05);
	        micBtn.setTranslateY(height/2);
	        root.getChildren().add(micBtn);
	        
	        micBtn.setOnAction((event) -> {
	            System.out.println("Button clicked!");
	        });
	        
	        // pdf button
	        
	        
			primaryStage.setTitle("LexHelp");
			primaryStage.getIcons().add(icon);
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
